# Search document schemas Lists all document schemas as lightweight summaries with optional cursor-based pagination. Request: pagination - Optional Pagination cursor and page size. Response: schemas - List of DocumentSchemaSummary objects. pageCursor - Opaque cursor for the next page. Absent when there are no further results. Endpoint: POST /api/v1/schema/list-schema Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `pagination` (any) ## Response 200 fields (application/json): - `schemas` (array) - `schemas.id` (string) Rule data fields - `schemas.name` (string) Rule data fields - `schemas.description` (string) Rule data fields - `schemas.schemaType` (integer) Enum: 0, 1, 2, 3 - `schemas.category` (string) Rule data fields - `pageCursor` (string) Rule data fields ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)